> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/eth/submit-bundles/eth-bundle-trace.md).

# Bundle Trace

The **Bundle-Trace** service allows users to check the status of a submitted bundle — whether it was included on-chain, or how it behaved within bloXroute’s internal system.

It provides detailed insights including the bundle hash, block number, simulation results, and visibility across bloXroute and external builders.

Bundle-Trace limits requests to **1 request every 30 seconds** and **4 requests per day**.

[Purchase the **Bundle Trace Add-on**](https://portal.bloxroute.com/pricing) to increase the limit to **60 requests per day** for this endpoint.

## Submission Endpoint

* Method: `ethbundletrace`
* Endpoint: `https://tools.bloxroute.com`

### Parameters

<table><thead><tr><th>Name</th><th width="248.33333333333331">Description</th></tr></thead><tbody><tr><td><code>auth_header</code></td><td><p>Allows the user to include the authentication in the URL string directly.</p><p>If the authentication is provided in both the header and the URL parameter, the one in the header will be used.</p></td></tr><tr><td><code>block_number</code></td><td>[Optional]Allows the user to specify the block number they sent the bundle to.<br>In case the bundle was sent to multiple blocks - this parameter is mandatory</td></tr></tbody></table>

#### **Examples**

**Option 1 – curl Command :**

```bash
curl -X GET \
-H "Content-Type: application/json" \
-H "Authorization: <YOUR-AUTHORIZATION-HEADER>" \
https://tools.bloxroute.com/ethbundletrace/<BUNDLE_HASH>
```

**Option 2 – URL with Query Param:**

```
https://tools.bloxroute.com/ethbundletrace/<BUNDLE_HASH>?auth_header=<AUTH_HEADER>
```

#### **Response Fields**

| Field             | Description                                   |
| ----------------- | --------------------------------------------- |
| `bundle_hash`     | Hash of the submitted bundle.                 |
| `on_chain_status` | Whether the bundle was included on-chain.     |
| `block_number`    | Block number the bundle was targeted for.     |
| `bloXroute`       | Internal trace details (see breakdown below). |

#### **bloXroute Field Breakdown**

| Detail                             | Explanation                                                              |
| ---------------------------------- | ------------------------------------------------------------------------ |
| Receive time                       | Time when bloXroute first received the bundle.                           |
| Initial simulation                 | Outcome of the initial bundle simulation (e.g., success, nonce error).   |
| Effective gas price                | Measured gas price of the bundle.                                        |
| First inclusion in bloXroute block | Timestamp of first inclusion in bloXroute-simulated blocks.              |
| Inclusion %                        | Percentage of blocks where the bundle was included.                      |
| Rejection reason                   | Reason for non-inclusion in our block (e.g., higher-paying bundles).     |
| Final simulation error %           | Percentage of how many blocks the bundle had final simulation errors in. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bloxroute.com/eth/submit-bundles/eth-bundle-trace.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
